package com.ruoyi.financeBudget.mapper;

import java.util.List;
import com.ruoyi.financeBudget.domain.FinanceBudget;
import org.apache.ibatis.annotations.Mapper;

/**
 * 财务预算Mapper接口
 * 
 * @author yanxun
 * @date 2023-08-10
 */
@Mapper
public interface FinanceBudgetMapper 
{
    /**
     * 查询财务预算
     * 
     * @param id 财务预算主键
     * @return 财务预算
     */
    public FinanceBudget selectFinanceBudgetById(Long id);

    /**
     * 查询财务预算列表
     * 
     * @param financeBudget 财务预算
     * @return 财务预算集合
     */
    public List<FinanceBudget> selectFinanceBudgetList(FinanceBudget financeBudget);

    /**
     * 新增财务预算
     * 
     * @param financeBudget 财务预算
     * @return 结果
     */
    public int insertFinanceBudget(FinanceBudget financeBudget);

    /**
     * 修改财务预算
     * 
     * @param financeBudget 财务预算
     * @return 结果
     */
    public int updateFinanceBudget(FinanceBudget financeBudget);

    /**
     * 删除财务预算
     * 
     * @param id 财务预算主键
     * @return 结果
     */
    public int deleteFinanceBudgetById(Long id);

    /**
     * 批量删除财务预算
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFinanceBudgetByIds(Long[] ids);

    /**
     * 根据科研任务号查询任务的预估价
     *
     * @param taskno 科研任务号
     * @return 结果
     */
    FinanceBudget selectEstimationCoatByTaskno(String taskno);
}
